<div ng-controller="DatasetTabs as datasetTabs">
  <uib-tabset active="datasetTabs.activeTabIndex" class="dataset-tabs">
    <uib-tab ng-repeat="dataset in datasetTabs.selectedDatasets" index="dataset.id" class="dataset-tab"
             disable="datasetTabs.filterCloneModeOn" select="datasetTabs.tabSelected(dataset.id)">
      <uib-tab-heading>
        <i class="fa fa-cube"></i>
        <span ng-if="!dataset.tabLabel">{{dataset.name}}</span>
        <div class="tab-title" ng-if="dataset.tabLabel">
          <div class="tab-label">{{dataset.tabLabel}}</div>
          <div>{{dataset.name}}</div>
        </div>
        <button role="button" class="btn btn-xs btn-default edit-tab-label" ng-disabled="datasetTabs.filterCloneModeOn"
                uib-popover-template="'components/DatasetTabs/dataset-tabs.tab-label-popover.html'"
                popover-title="Set a custom label for this tab:" popover-trigger="outsideClick"
                popover-placement="bottom" popover-append-to-body="true" popover-popup-delay="0">
          <i class="fa fa-tag"></i>
        </button>
        <button role="button" class="btn btn-xs btn-danger close-tab" ng-click="datasetTabs.removeTab(dataset)"
                ng-disabled="datasetTabs.filterCloneModeOn">
          <i class="fa fa-times"></i>
        </button>
        <div ng-show="datasetTabs.filterCloneModeOn && datasetTabs.filterCloneModeExcludedDatasetId !== dataset.id">
          <button role="button" class="btn btn-sm btn-success btn-block clone-button-on-tab"
                  ng-click="datasetTabs.requestFiltersFromTab(dataset.id)">
            <i class="fa fa-clone"></i> from here
          </button>
        </div>
      </uib-tab-heading>
      <div ng-controller="DatasetTab as datasetTab" ng-include="'components/DatasetTabs/dataset-tabs.tab.html'"></div>
    </uib-tab>
    <uib-tab disable="datasetTabs.filterCloneModeOn" class="dataset-list-tab">
      <uib-tab-heading>
        <i class="fa fa-list"></i> Dataset list
      </uib-tab-heading>
      <div ng-include="'components/DatasetTabs/dataset-selection-tab.html'" class="dataset-selection"></div>
    </uib-tab>
    <uib-tab select="datasetTabs.tabSelected('compare-tab')" disable="datasetTabs.selectedDatasets.length < 2 || datasetTabs.filterCloneModeOn" index="-1" class="compare-tab"
             uib-tooltip="Please open at least two dataset tabs to enable the comparison view." tooltip-placement="bottom" tooltip-enable="datasetTabs.selectedDatasets.length < 2">
      <uib-tab-heading>
        <i class="fa fa-cubes"></i> Comparison
      </uib-tab-heading>
      <div ng-include="'components/CompareTab/compare-tab.html'"></div>
    </uib-tab>
    <uib-tab select="datasetTabs.tabSelected('cart')" class="cart-tab" disable="datasetTabs.filterCloneModeOn">
      <uib-tab-heading>
        <i class="fa fa-shopping-cart"></i> Cart ({{datasetTabs.cartCount}})
      </uib-tab-heading>
      <div ng-include="'components/Cart/cart.html'"></div>
    </uib-tab>
  </uib-tabset>
</div>